Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Oct 2021 15:56:30 +0300

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Thu, 7 Oct 2021 14:12:06 +0300
> 
> >> Sorry, I see no connection: why changing key bindings requires
> >> deprecating the command?
> > 
> > Because people will expect the old binding to work as long as the
> > command is useful.
> 
> They shouldn't: we have a lot of commands without dedicated bindings.
> 
> This command will retain some marginal utility, for some users out there 
> (though I don't know who or why), so removing it doesn't make sense.
> 
> But its utility is incommeasurable with the binding it's taking up.
> 
> Let's announce in Emacs 28's NEWS that we intend to remove (or take 
> away) the binding 'C-x v b'. Just like we did with the TAB binding in 
> *xref* buffers.
> 
> >>> It was then, but it can be used today with other backends.
> >>
> >> What backends do you switch with 'C-x v b' today?
> > 
> > You mean, I personally?  Why is that relevant?  If you want to say
> > that no one uses this command anymore, then that points to deprecating
> > the command, and when it's obsolete for long enough time (at least one
> > major release, IMO), we can remove its binding.
> 
> "No one" is a very strong criterion.
> 
> What if 2 people total, out of all users, were using this command?

That's the same as "no one", for the purposes of this discussion.

> Would you still deprecate it, with intent to remove? Or would you still 
> keep the binding?

I didn't say I was against deprecating the command.  I said
deprecating it is the only way to eventually usurp its key binding.

But deprecation will take time, and I was under the impression that
Juri wanted the VC branch commands to have the binding NOW.